=== debian/changelog ===
obrowser (1.1+dfsg-4) unstable; urgency=low

  * Fix FTBFS with bash due to buggy patch:
    - remove 0006-Set-CAML_LD_LIBRARY_PATH-in-wiki-example.patch
    - add 0006-Set-OCAMLLIB-at-the-right-time-in-wiki-example.patch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Mar 2010 09:59:32 +0100

obrowser (1.1+dfsg-3) unstable; urgency=low

  * Add Set-CAML_LD_LIBRARY_PATH-in-wiki-example.patch
    (fixes FTBFS on bytecode architectures)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Feb 2010 13:28:43 +0100

obrowser (1.1+dfsg-2) unstable; urgency=low

  * Fix FTBFS when building without arch:all packages

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Feb 2010 10:03:40 +0100

obrowser (1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #567887)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Feb 2010 15:25:38 +0100
