=== debian/control ===
Source: obrowser
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.1.0~),
 dh-ocaml (>= 0.9~),
 ocaml-findlib,
 sharutils,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.4
Section: ocaml
Homepage: http://ocsigen.org/obrowser/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/obrowser.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/obrowser.git

Package: libobrowser-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib, libjs-obrowser, sharutils
Description: O'Browser support libraries (development files)
 O'Browser is an OCaml virtual machine written in Javascript. It runs
 bytecode executables produced by the regular bytecode compiler and
 gives the possibility to run OCaml programs directly in a web
 browser. You can use it with any Web server.
 .
 This package contains support libraries to manipulate the DOM tree
 and widgets for use in programs meant to be run in O'Browser.

Package: libjs-obrowser
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: OCaml virtual machine written in Javascript (runtime)
 O'Browser is an OCaml virtual machine written in Javascript. It runs
 bytecode executables produced by the regular bytecode compiler and
 gives the possibility to run OCaml programs directly in a web
 browser. You can use it with any Web server.
 .
 This package contains the virtual machine itself.

Package: obrowser-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: OCaml virtual machine written in Javascript (doc)
 O'Browser is an OCaml virtual machine written in Javascript. It runs
 bytecode executables produced by the regular bytecode compiler and
 gives the possibility to run OCaml programs directly in a web
 browser. You can use it with any Web server.
 .
 This package contains a tutorial and examples, as well as the HTML
 API documentation.
