=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

DOCDIR = debian/obrowser-doc/usr/share/doc/obrowser-doc
export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(OCAMLFIND_DESTDIR)
	$(MAKE) install

.PHONY: override_dh_ocaml
override_dh_ocaml:
	dh_ocaml -Xstdlib.cma -Xmutex.cmi -Xstd_exit.cmo \
	  `cd $(OCAML_STDLIB_DIR) && for u in *.cmi; do echo -n " -X$$u"; done`

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing
ifneq (,$(findstring obrowser-doc, $(shell dh_listpackages)))
# Build the documentation packages
	cp -a examples tutorial $(DOCDIR)
# Clean up inappropriate files
	find $(DOCDIR) \( \
	  -name '*.exe' -or \
	  -name '*.cm*' -or \
	  -name '*.byte' -or \
	  -name '*.o' -or \
	  -name .depend -or \
	  -name LICENSE \
	\) -delete
	rm -f $(DOCDIR)/tutorial/distrib
	rm -f $(DOCDIR)/examples/scribble/server
endif

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.js -X.uue
