## obrowser 1.1.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,16 @@
 EXAMPLES = $(patsubst examples/%,%, $(wildcard examples/*))
 EXAMPLES_TARGETS = $(patsubst examples/%,%.example, $(wildcard examples/*))
 OCAMLFIND = ocamlfind
-.PHONY: tuto dist plugin
+.PHONY: tuto dist plugin lwt
 
-all: rt/caml/stdlib.cma vm.js tuto $(EXAMPLES_TARGETS) examples.html AXO
+all: .check_version rt/caml/stdlib.cma vm.js tuto $(EXAMPLES_TARGETS) examples.html AXO lwt
+
+.check_version:
+	@[ "$(shell ocamlc -vnum)" = "3.12.0" ] || \
+	  [ "$(shell ocamlc -vnum)" = "3.12.1" ] || \
+	  ( echo "You need ocaml version 3.12.0 or 3.12.1"; \
+            exit 1 )
+	touch $@
 
 %.example: 
 	@echo "[EXAMPLE] $*"
@@ -27,6 +34,10 @@
 AXO:
 	@echo "[AXO]"
 	@cd axo/ && $(MAKE) --no-print-directory
+
+lwt:
+	@echo "[LWT]"
+	@cd lwt/ && $(MAKE) --no-print-directory
 
 tuto:
 	@echo "[TUTORIAL]"
@@ -48,6 +59,7 @@
 vm.js: 	$(wildcard rt/js/*.js)	
 	@echo "[CPP] $@"
 	@cpp -DDEBUG -P -Irt/js rt/js/main.js vm.js
+	@cat rt/js/ffi.js >> vm.js
 
 clean:
 	@echo "[CLEAN]"
@@ -55,21 +67,22 @@
 	@cd rt/caml && $(MAKE) clean
 	@rm -f examples.html
 	@cd tutorial && $(MAKE) clean
+	@cd lwt && $(MAKE) clean
 	@$(RM) -f *.exe *.cm* *.so *.a *.dylib *.o *~ *.uue \
                     vm.js server
 	@$(RM) -f examples/*/*.exe examples/*/*.cm* examples/*/*.exe.uue
 	@for ex in $(EXAMPLES) ; do cd examples/$$ex && $(MAKE) clean && cd ../.. ; done
 	@cd axo && $(MAKE) clean
 
+
+VERSION := $(shell head -n 1 VERSION)
+
 dist: clean
-	@if ! [ -d dist ] ; then mkdir dist ; fi
-	@B=$$(basename $$(pwd)) ; D=$$(date "+%y%m%d.%H%M") ; \
-	 cd .. ; tar cjf $$B.$$D.tbz2 --exclude="*.svn*" --exclude="$$B/dist*" $$B ; mv $$B.$$D.tbz2 $$B/dist ; \
-	 echo "[DIST] dist/$$B.$$D.tbz2"
+	darcs dist -d obrowser-$(VERSION)
 
 install:
-	$(OCAMLFIND) install obrowser META vm.js rt/caml/stdlib.cma rt/caml/*.cmi rt/caml/std_exit.cmo axo/AXO.cma axo/AXO*.cmi
-	install -m 644 rt/caml/dllstdlib.so `$(OCAMLFIND) -query obrowser`
+	$(OCAMLFIND) install -patch-version ${VERSION} obrowser META vm.js rt/js/ffi.js rt/caml/stdlib.cma rt/caml/*.cmi rt/caml/std_exit.cmo axo/AXO.cma axo/AXO*.cmi lwt/lwt_obrowser.cma lwt/lwt_*.cmi
+	install -m 644 rt/caml/dllstdlib.so `$(OCAMLFIND) -printconf destdir`/obrowser
 
 uninstall:
 	$(OCAMLFIND) remove obrowser
