=== rt/caml/Makefile ===
--- 
+++ 
@@ -1,21 +1,22 @@
 ML=$(wildcard *.ml)
 #CMO=$(patsubst %.ml,%.cmo, $(ML))
 CMOS= \
-  jSOO_basic_io.cmo pervasives.cmo sys.cmo \
+  pervasives.cmo sys.cmo \
+  int32.cmo int64.cmo nativeint.cmo \
+  array.cmo list.cmo hashtbl.cmo \
   marshal.cmo obj.cmo lazy.cmo \
-  array.cmo list.cmo hashtbl.cmo \
   char.cmo string.cmo \
   stdLabels.cmo arrayLabels.cmo listLabels.cmo stringLabels.cmo \
   set.cmo map.cmo stack.cmo queue.cmo buffer.cmo sort.cmo \
-  int32.cmo int64.cmo nativeint.cmo \
   printf.cmo format.cmo scanf.cmo \
   arg.cmo  printexc.cmo \
   digest.cmo random.cmo callback.cmo \
   sys.cmo thread.cmo \
   camlinternalLazy.cmo camlinternalOO.cmo oo.cmo camlinternalMod.cmo \
   jSOO.cmo \
-  mutex.cmo complex.cmo parsing.cmo lexing.cmo stream.cmo genlex.cmo \
-  js.cmo graphics.cmo regexp.cmo
+  mutex.cmo condition.cmo \
+  complex.cmo parsing.cmo lexing.cmo stream.cmo genlex.cmo \
+  js.cmo graphics.cmo regexp.cmo weak.cmo
 
 .PHONY=clean depend exec_compflags
 
@@ -61,7 +62,7 @@
 
 depend:
 	@echo "[CAMLDEP]"
-	@CAMLLIB=. ocamldep -I . *.ml > .depend
+	@CAMLLIB=. ocamldep -I . *.ml *.mli > .depend
 
 include .depend
