=== debian/changelog ===
obrowser (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - compatible with OCaml 3.12.0 (Closes: #580105)
  * Add liblwt-ocaml-dev to Build-Depends
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Apr 2011 23:34:41 +0200
