=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends:
  debhelper (>= 7.1.0~),
  dh-ocaml (>= 0.9~),
+ liblwt-ocaml-dev,
  ocaml-findlib,
  sharutils,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://ocsigen.org/obrowser/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/obrowser.git
