=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 .PHONY: override_dh_ocaml
 override_dh_ocaml:
-	dh_ocaml -Xstdlib.cma -Xmutex.cmi -Xstd_exit.cmo \
+	dh_ocaml -Xstdlib.cma -Xmutex.cmi -Xcondition.cmi -Xstd_exit.cmo \
 	  `cd $(OCAML_STDLIB_DIR) && for u in *.cmi; do echo -n " -X$$u"; done`
 
 .PHONY: override_dh_install
