=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://ocsigen.org/obrowser/install ../download/obrowser-(.*)\.tar\.gz
